Give mysql docker more time to start up

pull/226/head^2
Thomas Müller 8 years ago
parent 85d9e58637
commit 5d1ef68cf0
No known key found for this signature in database
GPG Key ID: A943788A3BBEC44C

@ -192,8 +192,8 @@ function execute_tests {
DATABASEHOST=$(docker inspect --format="{{.NetworkSettings.IPAddress}}" "$DOCKER_CONTAINER_ID")
echo "Waiting for MySQL initialisation ..."
if ! apps/files_external/tests/env/wait-for-connection $DATABASEHOST 3306 60; then
echo "[ERROR] Waited 60 seconds, no response" >&2
if ! apps/files_external/tests/env/wait-for-connection $DATABASEHOST 3306 600; then
echo "[ERROR] Waited 600 seconds, no response" >&2
exit 1
fi
@ -221,8 +221,8 @@ function execute_tests {
DATABASEHOST=$(docker inspect --format="{{.NetworkSettings.IPAddress}}" "$DOCKER_CONTAINER_ID")
echo "Waiting for MariaDB initialisation ..."
if ! apps/files_external/tests/env/wait-for-connection $DATABASEHOST 3306 60; then
echo "[ERROR] Waited 60 seconds, no response" >&2
if ! apps/files_external/tests/env/wait-for-connection $DATABASEHOST 3306 600; then
echo "[ERROR] Waited 600 seconds, no response" >&2
exit 1
fi

Loading…
Cancel
Save